<ion-content fullscreen class="ion-margin" class="background">
  <!--   <div id="bg">

    <ion-img class="ion-text-center" style="margin-right: 10% !important;margin-left: 20% !important;margin: 0 0 0 0 ; padding: 0 0 0 0;" src="./assets/images/dextailLogoBlackactual.png"></ion-img>

  </div> -->
  <div class="content">
    <ion-card class="ion-margin">


      <div class="login">
        <ion-img class="ion-text-center"
          style="margin: 0 0 0 0 ; padding: 0 0 0 0;"
          src="./assets/images/logo-512x512.png"></ion-img>
        <!-- <h1 class="ion-text-center">{{ title }}</h1> --><br>
        <form class="form" [formGroup]="userForm" (ngSubmit)="signIn(userForm.value)">
          <ion-item>
            <ion-label>
              <ion-icon size="small" name="mail-outline"></ion-icon>
            </ion-label>
            <ion-input type="text" formControlName="email" placeholder="{{ mail }}" required clearInput="true">
            </ion-input>
          </ion-item>

          <ng-container *ngFor="let error of error_msg.email">
            <div
              *ngIf="userForm.get('email').hasError(error.type) && (userForm.get('email').dirty || userForm.get('email').touched)">
              <div *ngIf="language === 'es'"><i style="color: red;font-size: small;">{{ error.message_es}}</i></div>
              <div *ngIf="language === 'en'"><i style="color: red;font-size: small;">{{ error.message_en}}</i></div>
            </div>
          </ng-container>

          <ion-item>
            <ion-label>
              <ion-icon size="small" name="lock-closed-outline"></ion-icon>
            </ion-label>
            <ion-input type="password" formControlName="password" placeholder="{{ pass }}" class="form-controll"
              required clearInput="true"></ion-input>
          </ion-item>

          <ng-container *ngFor="let error of error_msg.password">
            <div
              *ngIf="userForm.get('password').hasError(error.type) && (userForm.get('password').dirty || userForm.get('password').touched)">
              <div *ngIf="language === 'es'"><i style="color: red;font-size: small;">{{ error.message_es}}</i></div>
              <div *ngIf="language === 'en'"><i style="color: red;font-size: small;">{{ error.message_en}}</i></div>
            </div>
          </ng-container>

          <ion-button type="submit" expand="block" [disabled]="!userForm.valid">{{submit_btn}}</ion-button>

          <label class="ion-text-center" color="danger">
            <div *ngIf="language === 'es'"><i style="color: red;font-size: small;">{{ error.message_es}}</i></div>
            <div *ngIf="language === 'en'"><i style="color: red;font-size: small;">{{ error.message_en}}</i></div>
          </label>
        </form>

        <ion-text color="medium">
          <p class="ion-text-center">{{passstring}}</p>
          <!-- <p class="ion-text-center "> <a (click)="goToSignup()">{{reg_des}}</a></p> -->
        </ion-text>
<!--
        <p class="ion-text-center">
          <ion-label class="ion-margin-end" style="align-items: center;" color="primary">{{ 'Agree to '}}
            <a class="terms_link ion-text-center" href="/terms-privacy">{{ 'terms & conditions' }}</a>
          </ion-label>
        </p> -->

      </div>

    </ion-card>

  </div>
</ion-content>
